package com.xxl.job.executor.report.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.xxl.job.executor.report.entity.BytedanceDailyReportTask;
import org.apache.ibatis.annotations.Param;

/**
 * 头条异步报表任务表
 * @author: jeecg-boot
 * @date:   2020-04-16
 * @cersion: V1.0
 */
public interface BytedanceDailyReportTaskMapper extends BaseMapper<BytedanceDailyReportTask> {

    void loadBytedanceDailyCreativeFileAsync(@Param("localPath") String localPath);

    void loadBytedanceDailyAccountFileAsync(@Param("localPath") String localPath);

    void loadBytedanceDailyCampaignFileAsync(@Param("localPath") String localPath);

    void loadBytedanceDailyPlanFileAsync(@Param("localPath") String localPath);
}
